Package com.independentsoft.office.drawing

# Class Sound

java.lang.Object
com.independentsoft.office.drawing.Sound

public class Sound extends Object
Represents an embedded WAV audio file (`a:snd`) played when the owning hyperlink is activated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Sound()`
  Instantiates a new sound.
  `Sound​(InternalXMLStreamReader reader)`
  Instantiates a new sound.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Sound`
  `clone()`
  `String`
  `getBuiltIn()`
  Gets the built in.
  `String`
  `getName()`
  Gets the name.
  `String`
  `getRelationshipId()`
  Gets the relationship id of the embedded audio part (`r:embed`).
  `void`
  `setBuiltIn​(String builtIn)`
  Sets the built in.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setRelationshipId​(String relationshipId)`
  Sets the relationship id of the embedded audio part (`r:embed`).
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Sound

    public Sound()
    Instantiates a new sound.

  - ### Sound

    public Sound​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new sound.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the XML stream exception

- ## Method Details

  - ### clone

    public Sound clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getRelationshipId

    public String getRelationshipId()
    Gets the relationship id of the embedded audio part (`r:embed`).
    Returns:
      the relationship id

  - ### setRelationshipId

    public void setRelationshipId​(String relationshipId)
    Sets the relationship id of the embedded audio part (`r:embed`).
    Parameters:
      `relationshipId` - the new relationship id

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getBuiltIn

    public String getBuiltIn()
    Gets the built in.
    Returns:
      the built in

  - ### setBuiltIn

    public void setBuiltIn​(String builtIn)
    Sets the built in.
    Parameters:
      `builtIn` - the new built in